Board logo

标题: [发布] v3.2.X新功能之JSP/JAVA支持的征集贴 [打印本页]

作者: admin    时间: 2017-5-19 13:23     标题: v3.2.X新功能之JSP/JAVA支持的征集贴

目前,wdcp已支持多版本PHP共存共用和SSL的两大功能

下一大功能是支持JSP/JAVA,很早以前就有用户建议增加JSP的支持

不过wdcp追求的是做实用,简洁的管理面板,集成最常用最多用的功能

虽然大而全的系统也是不错,但同时也会变得更加复杂

现在发个贴看下,有多少的用户有需要用到这个功能?

又或者,对于支持JSP/JAVA的功能,你有什么建议或提议?

欢迎大家尽情发表,也可以告诉你身边的小伙伴,一起前来支持

如果用户多,我们会考虑尽快增加

顶贴越多,回复越多,就越快增加
作者: liuhanjun    时间: 2017-5-19 13:28

单apache ssl 貌似还有问题
作者: ikochina    时间: 2017-5-19 13:29

要支持jave了?这个可以有
作者: mingwd    时间: 2017-5-19 13:29

这个可以有,之前就是自己弄得弄半天
作者: koloor    时间: 2017-5-19 13:29

我接触的客户都是自己购买ecs  所以我觉得支持jsp比多php重要
作者: foodxj    时间: 2017-5-19 13:30

多一种选择也不错。
作者: koloor    时间: 2017-5-19 13:31

最好是能做成选择性安装
比如
1,仅安装单php版本
2,安装多php支持版本
3,安装单php+jsp
4,安装多php+jsp

请选择 之类的.......:lol
作者: zhimaitech    时间: 2017-5-19 13:32

我不需要,建议增加JSP功能,但不要集成在完整安装包里面,可以在WDCP后台由用户自行点击安装与卸载
作者: admin    时间: 2017-5-19 13:33

回复 7# koloor


   是可选择性的,也可以同时支持PHP,JSP
作者: admin    时间: 2017-5-19 13:33

回复 8# zhimaitech


   和多PHP版本一样,可选安装
要用就安装
作者: bit    时间: 2017-5-19 14:04

支持,可以有。
建议管理将JSP安装包作为附属安装程序,类似于PHP多版本支持,按需安装,按需启用。
作者: chenluoo    时间: 2017-5-19 14:11

可以有,如有的话,开发安卓苹果APP用户就跑过来用这个了
作者: lanyeit    时间: 2017-5-19 14:25

建议单独做一个功能和插件页面,需要的就点击安装,不需要的可以卸载
作者: pkkgu    时间: 2017-5-19 14:42

不需要JSP/JAVA
做一套独立的系统吧,不要和现在的系统挂钩
作者: s893334248    时间: 2017-5-19 14:44

支持jsp可以啊,这个很强,不过最好是能分开的,用户自己选择性安装,需要的就装,就像php版本一样,用户有用5.5的,有用5.6以上的。
作者: hxf0663    时间: 2017-5-21 22:09

赶快增加MYSQL5.7吧,性能级版本
作者: hotmy    时间: 2017-5-22 14:20

和 php多版本共享一样 选择启用就好
作者: 加菲寻    时间: 2017-5-22 15:24

可以做成插件的
作者: bluehut    时间: 2017-5-22 15:43

支持,可以有。
建议管理将JSP安装包作为附属安装程序,类似于PHP多版本支持,按需安装,按需启用。
作者: baoge_800    时间: 2017-5-22 17:56

回复 1# admin


    SSL貌似还有问题啊,用不了!
作者: housefxy    时间: 2017-5-22 19:02

建设做一个应用商店,让大家选择安装
作者: housefxy    时间: 2017-5-22 19:02

建议做nginx+jsp
作者: 寒川    时间: 2017-5-22 23:26

可以整,但是建议不要把所有的功能都整上去,要整java的建议整个java版的wdcp,不用和php的混一起。越专一越好唯户,啥玩意都整,整成一锅乱炖感觉并是不很好。当然,除非真的有必要又用java又用php的用户,否则的话还是单用比较好。个人愚见。
作者: 红领巾    时间: 2017-5-23 00:30

也支持。之前不能不同站点使用不同php和需要手动配置java。不得不换到windows 因为对linux不是很熟。我遇到的情况有apache tomcat php多站点不同版本 共存 nginx tomcat php多站点不同版本 ,有几个客户我都换到windows了好操作。如果老大更新支持了。我会换回来的
作者: 红领巾    时间: 2017-5-23 00:31

安装建议 我习惯全部安装。以防止 客户 突然有其他需求我可以后台在自动安装开启
作者: 红领巾    时间: 2017-5-23 00:32

遇到很多客户一开始一个要求后面又有很多要求 我不得不研究wdlinux 进行手动配置环境。又怕wdlinux更新会有不兼容问题,有时候都不敢升级
作者: hualay    时间: 2017-5-23 18:12

支持一下,如果能集成jsp真是比较强大了。
作者: lyinet    时间: 2017-5-23 21:02

必须支持啊...现在java应用的越来越多了
作者: vivafei    时间: 2017-5-24 10:58

建议按需支持,就象插件一样可以进行安装和卸载,毕竟功能越多,就越复杂,问题也多,还有,最重要的,安全性也是个问题
作者: landui    时间: 2017-5-26 17:42

支持tomcat6   tomcat7切换
作者: Meng_X    时间: 2017-5-26 21:55

JSP/JAVA暂时用不着
作者: zhoumo310    时间: 2017-5-26 22:48

这个目前好像没什么需要。希望到时候能做成可选安装吧。
作者: 蓝兵    时间: 2017-5-27 10:20

支持,这个可以有,免了每次自己配置
作者: zhanjun    时间: 2017-5-27 10:46

支持一下,但是建议 在安装部署环境的时候  支持  可选安装,人性化定制。
作者: kotake    时间: 2017-6-1 18:29

哈哈 。给力了
作者: 463668509    时间: 2017-6-2 11:37

至少可以加个选项    nginx 代理tomcat , 或是加个 tomcat搭建的脚本,现在宝塔就支持,以免客户都被宝塔抢走.
作者: 463668509    时间: 2017-6-2 11:39

既然  nginx 代理了 apache  就可以加个选项 把代理apache 代理成tomcat
作者: wdcpma    时间: 2017-6-2 14:11

支持JAVA 可以有 啊 不过后台 就是后台可以自己先择 关闭打开功能吧
作者: douyaolai    时间: 2017-6-2 14:42

支持,
也是集成模式, 安装的时候自己选择;
作者: saikin    时间: 2017-6-3 15:21

最好是能做成选择性安装
比如
1,仅安装单php版本
2,安装多php支持版本
3,安装单php+jsp
4,安装多php+jsp

请选择 之类的
或者单独用JAVA 的   最好 不要掺杂在一起, 一台服务器功能 多了并不见得就是强大  稳定才是关键

作者: saikin    时间: 2017-6-3 15:22

saikin 发表于 2017-6-3 15:21



   最好是  php 一个  java  一个  
集成 在一起的一个
让用户自已选择
作者: stratorway    时间: 2017-6-6 12:50

JSP固然很好  建议还是在性能上面提高,特别是在数据库性能上面 多下功夫,还有一个就是既然是空间管理,能不能加一个创建时间和到期时间,这样更人性化一点。
祝愿wdlinux 越来越好,bug越少,安全越来越高
作者: 柒哥    时间: 2017-6-9 11:33

jsp跟php能同时运行就更好了,既能开发php程序也能开发java程序了,加油,加油
作者: tangniyuqi    时间: 2017-6-10 01:32

绝对可以有啊  支持官方!mongodb也可以集成下
作者: vsalw    时间: 2017-6-12 09:43

强烈建议增加这个功能,建议做成和php一样,可以选择java版本。那样就很好用了,非常屌。强烈建议!
作者: vsalw    时间: 2017-6-12 09:46

我是一个做java开发的,可以集成的功能有:java版本可以选择,redis 集成,mongodb集成,真的,谢谢你们,做的真好,我实在想不到还需要怎么完善了,想到再来回复。谢谢你们
作者: fenyeyu    时间: 2017-6-18 11:23

这个可以有,好多面板都支持 JSP了。像x。感觉宝塔占用的资源少些
作者: 赶路者    时间: 2017-6-18 11:56

需要,支持!!!!!!!!!
作者: mancong122    时间: 2017-6-27 16:59

强烈推荐, 现在正在愁 jsp环境的搭建
作者: shijizhilv    时间: 2017-6-27 20:40

我支持  java  和  php 分开。

两个东西不要混在一起。  这样会更稳定些。
作者: lifb    时间: 2017-7-2 16:36

可以做成插件
作者: 星微微    时间: 2017-7-3 23:38

强烈支持啊,JSP还是很有必要的!
作者: hmzslhh    时间: 2017-7-4 01:02

支持,
建议管理将JSP安装包作为附属安装程序,类似于PHP多版本支持,按需安装,按需启用。
作者: mancong122    时间: 2017-7-5 11:52

清冽要求有
作者: wangy6998    时间: 2017-7-10 11:40

可选安装:victory:
作者: zoujiayu    时间: 2017-7-13 09:15

建议添加jsp
作者: 折上折网络    时间: 2017-7-14 10:19

支持,建议在后台选择安装
作者: 黑夜    时间: 2017-7-15 15:38

期待有这个,因为现在有许多Jsp程序
作者: 黑夜    时间: 2017-7-15 15:39

能不能在安装PHP扩展时更方便点,可以一点就安装了,或者是卸载了
作者: jspjsp    时间: 2017-7-23 18:08

如果是java虚拟主机就别支持php,不然太不安全.

其他的要求可能参考jsp虚拟主机现有厂商的描述如

1.独享jvm和tomcat服务,并可自主重新启动,互不影响,更安全稳定 .

2.提供tomcat访问日志

3.支持tomcat自带的应用程序管理程序,tomcat 8.0/tomcat7/tomcat6.0.18,jdk 1.6.0_12,mod_jk 1.2.27

4.支持Servlet2.4,jsp2.0,,Spring,Hibernate,proxool,javamail
作者: zsy1991    时间: 2017-8-13 13:13

都快要忘jdk这个东西了;P
作者: onlinellpp    时间: 2017-8-16 13:30

强烈支持!~官方尽快出啊!~一直盼着
作者: cyc0118    时间: 2017-8-29 14:35

建议增加服务器软件管理
可以通过web界面就可以轻松管理安装所用的服务器软件,还有扩展插件。
作者: luowu555    时间: 2017-9-16 11:38

要支持jave了?这个可以有
支持jsp可以啊,这个很强,不过最好是能分开的,用户自己选择性安装,需要的就装,就像php版本一样,用户有用5.5的,有用5.6以上的。
作者: cheungshore    时间: 2017-9-17 23:49

回复 1# admin


    当然集成好了,我这正研究怎么在WDCP上面装JSP呢,正在想如果实在不成功,就把系统改成WINDOWS的,建议你们团队集成JSP,用了你们那么多年,还是非常相信你们的,。
作者: johdan    时间: 2017-9-22 21:58

大概什么时候可以支持jsp啊
作者: johdan    时间: 2017-9-22 23:00

顶一顶啊。。。。啥时候出来啊
作者: Elias    时间: 2017-9-26 15:30

这个很不错,也可以添加其他环境,使用的话就选择安装
作者: johdan    时间: 2017-10-19 12:00

什么时候支持jsp啊。。期待啊。。期待啊
作者: moli    时间: 2017-10-23 09:59

没必要支持JSP/JAVA,记住这四个字:不忘初心。
WDCP要做的是成为经典,而不是大而全。
作者: zry    时间: 2017-11-2 13:21

我觉得多用户管理功能更实用
作者: qyq076    时间: 2017-11-9 12:34

不需要JSP/JAVA
影响系统稳定性
作者: xistar    时间: 2017-11-13 15:39

能支持JSP太好了。强大强大~!!!!!希望能在安装的时候选择是PHP版本还是JSP版本。希望早点出来
作者: 15017914174    时间: 2017-11-20 15:37

jsp支持好...........
作者: xistar    时间: 2017-11-27 13:23

都征集半年了。什么时候能看到JAVA版本出来啊?????




欢迎光临 WDlinux官方论坛 (http://www.wdlinux.cn/bbs/) Powered by Discuz! 7.2